{{define "tradingstories"}}

{{template "layout-top" .}}

<section class="feeds no-padding-top">
  <div class="container-fluid">
    <div class="row">
      <div class="container-fluid">

        {{range .Tradingstories}}

        <div class="project">
          <div class="row bg-white has-shadow" style="
                {{ if gt .GeneralPerformance 0.0 }}
                  border-left: solid 5px #41C60C;
                {{ else }} 
                  border-left: solid 5px red;
                {{ end }}

                {{ if or (eq .IsInvested.Valid false) (eq .IsInvested.Int64 0) }}
                  {{ if gt .GeneralPerformance 0.0 }}
                    background-color: #f0ffef !important;
                  {{ else }} 
                    background-color: #fff5f2 !important;
                  {{ end }}
                {{ else }}
                  background-color: white !important;
                {{ end }}
                ">
            <div class="left-col col-lg-5 d-flex align-items-center justify-content-between">
              <div class="project-title d-flex align-items-center">
                <div class="text">
                  <h3 class="h4">{{.Name}}<small> - {{.Description}}</small></h3>
                  <small style="color: black;">Typ: {{ if (eq .Type "0") }}Manuell{{ else }}<span
                      style="color:#796AEE">Automatisiert</span>{{ end }}</small>
                  <br>
                  <small style="color: black;">
                    Erlaubte AssetTypes:
                    {{range .AssetTypeNames}}
                    {{.Name}}
                    {{end}}
                  </small>
                  <br>
                  <small style="color: black;">Trailing Distance: {{.TrailingDistance}}%</small>
                </div>
              </div>
              <div class="project-date">
                {{ if or (gt .GeneralPerformance 0.0) (eq .GeneralPerformance 0.0) }}
                <span class="hidden-sm-down">Gesamtperformance: <strong style="color: #41C60C;">{{.GeneralPerformance}}%</strong></span>
                {{else}}
                <span class="hidden-sm-down">Gesamtperformance: <strong style="color: red;">{{.GeneralPerformance}}%</strong></span>
                {{end}}
                {{ if .IsInvested.Valid }}
                <br>
                {{ if or (gt .CurrentPerformance 0.0) (eq .CurrentPerformance 0.0) }}
                  <span class="hidden-sm-down">Aktuelle Performance: <strong style="color: #41C60C;">{{.CurrentPerformance}}%</strong></span>
                  {{else}}
                  <span class="hidden-sm-down">Aktuelle Performance: <strong style="color: red;">{{.CurrentPerformance}}%</strong></span>
                  {{end}}
                {{end}}
                <br>
                <span class="hidden-sm-down">Aktuelles Trading Volume: <strong>{{.TradingVolume}} €</strong></span>
              </div>
            </div>
            <div class="col-lg-2 d-flex align-items-center">
              <div class="time">
                <small><i class="fa fa-clock-o"></i>{{ if and .StartDate.Valid }}Start:
                  {{.StartDate.Time.Format "02.01.2006"}} {{else}}Start: --{{end}}</small>
                <br>
                <small><i class="fa fa-clock-o"></i>{{ if and .IsInvested.Valid (eq .IsInvested.Int64 1) }}Läuft
                   {{else}}Derzeit nicht investiert{{end}}</small>
              </div>
            </div>
            <div class="col-lg-5 d-flex align-items-center" style="border-right: none !important;">
              <div class="row">
                <div class="col-sm" style="border-right: none !important; padding: 5px 5px 5px 0px;">
                  <form action="/trades?ts={{.ID}}" method="POST" class="form-horizontal">
                    <div>
                      <input type="hidden" name="tradingstoryid" id="tradingstoryid" value="{{.ID}}" />
                      <input type="submit" id="submitGotoTrades" name="submitGotoTrades" value="Trades anzeigen"
                        class="btn btn-primary" />
                    </div>
                  </form>
                </div>
                <div class="col-sm" style="border-right: none !important; padding: 5px 5px 5px 0px;">
                  <form action="/tradingstoriesedit" method="POST" class="form-horizontal">
                    <div>
                      <input type="hidden" name="tradingstoryid" id="tradingstoryid" value="{{.ID}}" />
                      <input type="submit" id="submitGotoEditTradingsstory" name="submitGotoEditTradingsstory"
                        value="Bearbeiten" class="btn btn-primary" />
                    </div>
                  </form>
                </div>
                {{ if or (eq .IsInvested.Valid false) (eq .IsInvested.Int64 0) }}
                <div class="col-sm" style="border-right: none !important; padding: 5px 5px 5px 0px;">
                  <form action="/tradingstoriesmanuell" method="POST" class="form-horizontal">
                    <div>
                      <input type="hidden" name="tradingstoryid" id="tradingstoryid" value="{{.ID}}" />
                      <input type="submit" id="submitGotoManuellTradingsstory" name="submitGotoManuellTradingsstory"
                        value="Manuell traden" class="btn btn-primary" />
                    </div>
                  </form>
                </div>
                {{end}}
              </div>
            </div>
          </div>
        </div>

        {{end}}

      </div>
    </div>
  </div>
</section>

{{ template "layout-bottom" .}}

{{end}}